summary refs log tree commit diff
path: root/.local/share/darkman/foot.sh
diff options
context:
space:
mode:
Diffstat (limited to '.local/share/darkman/foot.sh')
-rwxr-xr-x.local/share/darkman/foot.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/.local/share/darkman/foot.sh b/.local/share/darkman/foot.sh
new file mode 100755
index 0000000..3f9ac81
--- /dev/null
+++ b/.local/share/darkman/foot.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+set -eu
+
+case "$1" in
+dark)
+	echo "initial-color-theme=1" > ~/.config/foot/colors.ini
+	killall -s SIGUSR1 foot
+	;;
+light)
+	echo "initial-color-theme=2" > ~/.config/foot/colors.ini
+	killall -s SIGUSR2 foot
+	;;
+default) exit 1 ;;
+esac